
From: Hugh Dickins <hugh@veritas.com>

Initialize swapper_space.i_mmap_nonlinear, so mapping_mapped reports false on
it (as it used to do).  Update comment on swapper_space, now more fields are
used than those initialized explicitly.

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/swap_state.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN mm/swap_state.c~mm-swapper_spacei_mmap_nonlinear mm/swap_state.c
--- 25/mm/swap_state.c~mm-swapper_spacei_mmap_nonlinear	Wed Jun  2 15:12:21 2004
+++ 25-akpm/mm/swap_state.c	Wed Jun  2 15:12:21 2004
@@ -19,7 +19,8 @@
 
 /*
  * swapper_space is a fiction, retained to simplify the path through
- * vmscan's shrink_list.  Only those fields initialized below are used.
+ * vmscan's shrink_list, to make sync_page look nicer, and to allow
+ * future use of radix_tree tags in the swap cache.
  */
 static struct address_space_operations swap_aops = {
 	.writepage	= swap_writepage,
@@ -36,6 +37,7 @@ struct address_space swapper_space = {
 	.page_tree	= RADIX_TREE_INIT(GFP_ATOMIC),
 	.tree_lock	= SPIN_LOCK_UNLOCKED,
 	.a_ops		= &swap_aops,
+	.i_mmap_nonlinear = LIST_HEAD_INIT(swapper_space.i_mmap_nonlinear),
 	.backing_dev_info = &swap_backing_dev_info,
 };
 
_
